Name: gnue-appserver
Version: 0.5.1
Release: alt0.1

Summary: GNU Enterprise Application Server

License: GPL
Group: Office
Url: http://www.gnue.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source:  http://www.gnuenterprise.org/downloads/releases/%name-%version.tar.bz2

BuildArchitectures: noarch

%define gnue_req gnue-common >= 0.6.1
BuildPreReq: %gnue_req

Requires: %gnue_req python-module-egenix-mx-base
AutoReq: yes, nopython

# Automatically added by buildreq on Mon Sep 11 2006 (-bi)
BuildRequires: gnue-common perl-libwww python-dev python-module-egenix-mx-base python-module-PyXML python-modules-encodings

%description
The GNUe Application Server (AppServer) is the core of the n-tier variant
of the GNU Enterprise system. To the front end (be it GNUe Forms, GNUe
Reports or any other tool), it provides user-defineable business objects with
arbitary fields and methods. While transforming access to those fields and
methods into database communication and calling of scripts, it cares about
stability, security, speed, and consistency.

%prep
%setup -q

# for dependences
#%__mkdir -p tmp && python setup.py install --root=tmp

%install
python setup.py install --root=%buildroot

%find_lang %name

%files -f %name.lang
%_bindir/*
%_datadir/gnue/*
%_libdir/gnue/*
%_docdir/*
%_man1dir/*

%changelog
* Mon Sep 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.1-alt0.1
- new version 0.5.1 (with rpmrb script)

* Sun Oct 09 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.3-alt0.1
- new version

* Tue Aug 30 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.2-alt0.1
- new version

* Fri Apr 01 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.1-alt0.1
- new version
- strict gnue internal deps

* Wed Dec 08 2004 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt0.2
- add build requires

* Sat Dec 04 2004 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt0.1
- new version

* Thu Nov 11 2004 Vitaly Lipatov <lav@altlinux.ru> 0.3.2-alt0.1
- first build for ALT Linux Sisyphus

